libzypp: zypp::repo::SMVData Struct Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | Related Symbols | List of all members
zypp::repo::SMVData Struct Reference

Data parsed from a media.1/media file. More...

## Public Member Functions
| SMVData (const Pathname &path_r)
| operator bool () const
| Validate object in a boolean context: valid.
bool | valid () const
| Data considered to be valid if we have vendor and ident.
bool | matches (const SMVData &rhs) const
| Whether rhs belongs to the same media set.

## Public Attributes
std::string | _mediaVendor
std::string | _mediaIdent
media::MediaNr | _totalMedia = 0

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const SMVData &obj)
| Stream output.

## Detailed Description

Data parsed from a media.1/media file.

Definition at line 25 of file SUSEMediaVerifier.cc.

## Constructor & Destructor Documentation

## ◆ SMVData()

zypp::repo::SMVData::SMVData | ( | const Pathname & | path_r | ) |
| inline

Definition at line 27 of file SUSEMediaVerifier.cc.

## Member Function Documentation

## ◆ operator bool()

zypp::repo::SMVData::operator bool | ( |  | ) | const
| inlineexplicit

Validate object in a boolean context: valid.

Definition at line 43 of file SUSEMediaVerifier.cc.

## ◆ valid()

bool zypp::repo::SMVData::valid | ( |  | ) | const
| inline

Data considered to be valid if we have vendor and ident.

Definition at line 47 of file SUSEMediaVerifier.cc.

## ◆ matches()

bool zypp::repo::SMVData::matches | ( | const SMVData & | rhs | ) | const
| inline

Whether rhs belongs to the same media set.

Definition at line 51 of file SUSEMediaVerifier.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SMVData & | obj )
| related

Stream output.

Definition at line 60 of file SUSEMediaVerifier.cc.

## Member Data Documentation

## ◆ _mediaVendor

std::string zypp::repo::SMVData::_mediaVendor

Definition at line 54 of file SUSEMediaVerifier.cc.

## ◆ _mediaIdent

std::string zypp::repo::SMVData::_mediaIdent

Definition at line 55 of file SUSEMediaVerifier.cc.

## ◆ _totalMedia

media::MediaNr zypp::repo::SMVData::_totalMedia = 0

Definition at line 56 of file SUSEMediaVerifier.cc.

The documentation for this struct was generated from the following file:

- zypp/repo/SUSEMediaVerifier.cc